Summary: Peter Gutmann's general purpose encryption library
Name: cryptlib
Version: 2.00
Release: 1
Copyright: distributable 
Source: crypl200.zip
Group: System Environment/Libraries
BuildRoot: /var/tmp/cryptlib-root
BuildRequires: unzip
Prefix: /usr

%description
The cryptlib encryption library provides an easy-to-use interface which allows
even inexperienced crypto programmers to easily add strong encryption and
authentication services to their software.  The library contains DES, triple
DES, IDEA, MDC/SHS, RC2, RC4, RC5, SAFER, SAFER-SK, Blowfish, and Blowfish-SK
conventional encryption, MD2, MD4, MD5, RIPEMD-160 and SHA hash algorithms, and
Diffie-Hellman, DSA, and RSA public-key encryption.

Later versions of this library exist but are under a more restrictive license.

%package devel
Summary: Header file, static library and documentation for cryptlib
Group: Development/Libraries
Requires: cryptlib 

%description devel
The header files and libraries for developing applications that use
the cryptlib cryptography library.

%prep
%setup -T -c
unzip -L -a $RPM_SOURCE_DIR/crypl200.zip

%build
make CMDC="$RPM_OPT_FLAGS"
make shared CMDC="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/lib
install -d $RPM_BUILD_ROOT/usr/include
install capi.h $RPM_BUILD_ROOT/usr/include
install libcrypt.a $RPM_BUILD_ROOT/usr/lib/libcryptlib.a
install libcrypt.so.1.20 $RPM_BUILD_ROOT/usr/lib/libcryptlib.so.1.20
ln -sf libcryptlib.so.1.20 $RPM_BUILD_ROOT/usr/lib/libcryptlib.so

%files
%defattr(-,root,root)
/usr/lib/libcryptlib.so.1.20
/usr/lib/libcryptlib.so

%files devel
%defattr(-,root,root)
/usr/lib/libcryptlib.a
/usr/include/capi.h
%doc docs.txt readme.1st

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

